path: /build/build/macaroni-funtoo-race3-seed-0.20240701.package.tar.zst
dependencies: []
compilespec:
  steps:
  - if [ ! -e /etc/passwd ] ; then touch /etc/passwd ; fi && if [ ! -e /etc/shadow
    ] ; then touch /etc/shadow ; fi && if [ ! -e /etc/group ] ; then touch /etc/group
    ; fi && if [ ! -e /etc/gshadow ] ; then touch /etc/gshadow ; fi && if [ ! -d /tmp
    ] ; then mkdir /tmp ; fi && if [ ! -d /var ] ; then mkdir /var ; fi && if [ !
    -d /root ] ; then mkdir /root ; fi && chmod a+x /var && chmod a+rwx /tmp
  - luet install virtual-entities/base --force
  - luet install --force system/luet-devkit utils/jq utils/yq app-admin/macaronictl
    dev-util/pkgs-checker-minimal kernel/macaroni-lts-sources && eselect kernel set
    1 && luet cleanup
  - cat /etc/luet/luet.yaml && luet miner ri virtual/base virtual/sh && luet repo
    update && luet upgrade && luet i toolchain/base-extra toolchain/base-python toolchain/base-tools
    && luet cleanup && /usr/bin/gcc-config 1 && eselect gcc set 1 && mkdir -p /var/lib/portage
    && epro list && eval 'rm /etc/localtime || true' && ln -s /usr/share/zoneinfo/Europe/Rome
    /etc/localtime && macaronictl env-update && eval 'locale-gen || true' && build-docbook-catalog
    && whip h eclass_db.db_fix_so && cd / && rm -rf /luetbuild && eval 'mkdir -p /run
    || true' && mkdir /layer
  env:
  - LUET_YES=true
  - LUET_NOLOCK=true
  - HTTP_TIMEOUT=0
  prelude: []
  image: scratch
  seed: scratch
  package:
    name: macaroni-funtoo-race3
    version: "0.20240701"
    category: seed
    hidden: true
    buildtimestamp: 2024-07-01 16:20:26.944959101 +0000 UTC m=+1075.531561061
    treedir: /build/packages
  package_dir: /layer
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy:
  - package: null
    image: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:5fb754135257fdf0c2fb67a6ca854b968db706dee4dd45454ba45f24074cef91
    source: /macaroni-funtoo
    destination: /
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  name: macaroni-funtoo-race3
  version: "0.20240701"
  category: seed
  hidden: true
